org.apache.hadoop.crypto.key

## Class JavaKeyStoreProvider.Factory

- java.lang.Object
- - org.apache.hadoop.crypto.key.KeyProviderFactory
  - - org.apache.hadoop.crypto.key.JavaKeyStoreProvider.Factory

- Enclosing class:
    org.apache.hadoop.crypto.key.JavaKeyStoreProvider

      public static class JavaKeyStoreProvider.Factory
      extends KeyProviderFactory

  The factory to create JksProviders, which is used by the ServiceLoader.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.crypto.key.KeyProviderFactory

      `KEY_PROVIDER_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyProvider` | `createProvider(URI providerName, Configuration conf)`

    - ### Methods inherited from class org.apache.hadoop.crypto.key.KeyProviderFactory

      `get, getProviders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### createProvider

          public KeyProvider createProvider(URI providerName,
                                            Configuration conf)
                                     throws IOException

      Specified by:
        `createProvider` in class `KeyProviderFactory`
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.